// htab_free.c
// Řešení IJC-DU2, příklad b), 22.4.2024
// Autor: Roman Nečas, FIT
// Přeloženo: gcc 11.4.0

#include "htab.h"
#include "htab_struct.h"
#include <stdlib.h>

void htab_free(htab_t *t) {
    htab_clear(t);
    free(t);
}